Bug 799350 - [Totem] crash when changing "Audio output type" option
[Totem] crash when changing "Audio output type" option
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: totem (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Bastien Nocera
Desktop QE
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-02 09:58 EST by Martin
Modified: 2017-09-14 07:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-13 17:34:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ABRT with backtrace (120.71 KB, text/plain)
2012-03-02 09:59 EST, Martin
no flags Details

  None (edit)
Description Martin 2012-03-02 09:58:57 EST
Description of problem:
Totem will crash when playing audio and changing "Audio output type" options multiple times.

Version-Release number of selected component (if applicable):
Totem 2.28.6
GStreamer 0.10.29

How reproducible:
Always on T420s running RHEL 6.3 nightly without debuginfo packages installed.

*Harder to reproduce with debuginfo packages installed, you must switch very fast between different audio outputs. It's possibly race condition. Try first reproduce it without debuginfo.

Steps to Reproduce:
1. Start playing audio or video file in Totem.
2. Go to Edit -> Preferences -> Audio
3. Change "Audio output type" from "Stereo" to "5.1-channel".
4. Change "Audio output type" from "5.1-channel" to "AC3 Passthrough" and change it back to "Stereo".*
5. Totem should crash.

Actual results:
Process /usr/bin/totem was killed by signal 11 (SIGSEGV)

Expected results:
Change audio output and do not crash or provide meaningful error.

Additional info:
ABRT log with backtrace in attachment.
Test Case https://tcms.engineering.redhat.com/case/55119

Propose: Remove this feature from Totem, audio output configuration could be set system-wide in Pulse Audio.
Comment 1 Martin 2012-03-02 09:59:34 EST
Created attachment 567084 [details]
ABRT with backtrace
Comment 2 RHEL Product and Program Management 2012-07-10 04:46:25 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 RHEL Product and Program Management 2012-07-10 21:53:10 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 4 RHEL Product and Program Management 2012-09-07 01:37:53 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.